// voici les 8 tableaux qu'il faut modifier pour ajouter des données, les images sont dans le repertoire img
//
	longueurs=[["Epaisseur d'une feuille","0,1 mm","l1.png"],
		["Taille d'une fourmi","5 mm","l2.png"],
		["Longueur d'une feuille","30 cm","l3.png"],
		["Un pas","1 m","l4.png"],
		["Hauteur d'une salle"," 2,5 m","l5.png"],
		["Longueur d'une piscine olympique","50 m","l6.png"],
		["Longueur d'un terrain de football","100 m","l7.png"],
		["Hauteur de la tour Eiffel","320 m","l8.png"],
		["La longueur d’un marathon","40 km","l9.png"],
		["Paris - New-York","6 000 km","l10.png"]
	];
	durees=[
	["Brossage des dents","3 min","d1.png"],
	["Cuisson d’un œuf dur","10 min","d2.png"],
	["Un repas","30 min","d3.png"],
	["Un cour","1 h","d4.png"],
	["Un film","2 h","d5.png"],
	["Temps de sommeil","9 h","d6.png"],
	["Jour","24 h","d7.png"],
	["Année","365 jours","d8.png"]];
		
		
	aires=[
	["Un timbre poste","3 cm²","a1.png"],
	["Une feuille A4","625 cm²","a2.png"],
	["Une chambre","12 m²","a3.png"],
	["Un terrain de football","7 000 m²","a4.png"],
	["Un champs de 1 hectare","10 000 m²","a5.png"]
	];
	vitesses=[
	["Un escargot","1 cm/s","vi1.png"],
	["Un marcheur","3 km/h","vi2.png"],
	["Un coureur","25 km/h","vi3.png"],
	["Une voiture en ville","50 km/h","vi4.png"],
	["Un guépard","100 km/h","vi5.png"],
	["Une voiture sur autoroute","130 km/h","vi6.png"],
	["Le TGV","320 km/h","vi7.png"],
	["Le son","320 m/s","vi8.png"]
	];
	
	volumes=[
	["Apéricube","2 cm³","v1.png"],
	["Seringue","10 ml = 10 cm³","v2.png"],
	["Tasse à café","100 ml = 100 cm³","v3.png"],
	["Verre d'eau","200 ml = 200 cm³","v4.png"],
	["Brique de lait","1 l = 1 dm³","v5.png"],
	["Chasse d'eau","10 l = 10 dm³","v6.png"],
	["Composteur","500 l= 0,5 m³","v7.png"],
	["Récuparateur d’eau de pluie","1000 l = 1m³","v8.png"],
	["Camion citerne","5000 l = 5m³","v9.png"]
	];
	angles=[
	["Livre fermé"," 0°","an1.png"],
	["Petit angle aigu d'une equerre classique","30°","an2a.png"],
	["Angle aigu d'une equerre isocèle","45°","an2b.png"],
	["Triangle équilatéral","60°","an3.png"],
	["Équerre"," 90°","an4.png"],
	["Aiguilles d'une horle indiquant 10h10 ","120°","an5.png"],
	["Livre ouvert","180°","an8.png"]
	];
	masses=[
	["Lettre","20 g","m1.png"],
	["Téléphone portable","150 g","m2a.png"],
	["Plaquette de beurre","250 g","m2.png"],
	["1 bouteille d'eau","1 kg","m3.png"],
	["Pack de 6 briques de lait","6 kg","m4.png"],
	["Vélo","8 kg","m5.png"],
	["Poids d'une personne","60-80kg","m6.png"],
	["Voiture","1 t","m7.png"],
	["Baleine","5 t","m8.png"]
	];
	prix=[
	["Baguette","1 €","p1.png"],
	["Ticket de bus","2 €","p2.png"],
	["Un plein d'essence","70 €","p3.png"],
	["Loyer moyen","950€","p4.png"],
	["Salaire minimum","1200€","p5.png"]
	];

	tableaucomplet=[longueurs,durees,aires,vitesses,volumes,masses,angles,prix];
	tableaucomplettitre=["LONGUEURS","DURÉES","AIRES","VITESSES","VOLUMES","MASSES","ANGLES","PRIX"];

tableaucompletimage=[[]];
nbimg=longueurs.length+durees.length+aires.length+vitesses.length+volumes.length+masses.length+angles.length+prix.length;

deltabarre=100/nbimg;
progressebarre=0;
//chargement des images
telecharger=-1;
ip=0;
jp=-1;


var loadImages = function() 
{

	telecharger++;
	jp++

	bool=true;
	if (jp==tableaucomplet[ip].length)
	{
		
		ip++;
		
		jp=0;
		tableaucompletimage.push([]);
	}
	if (ip==tableaucomplet.length)
	{
		console.log(tableaucompletimage);
		initialisation();
		
		bool=false;
	}

	if (bool)
	{
		var img= new Image();   
		img.src = 'img/'+tableaucomplet[ip][jp][2];
			
		img.addEventListener("load",function() 
		{
			tableaucompletimage[ip].push(img);
			document.getElementById("progressBar").dispatchEvent(imageLoaded);
			loadImages();
			
		});
	}
}

var imageLoaded = new CustomEvent(
  "imageLoaded",
  {
    detail: {
    },
    bubbles: true,
    cancelable: true
  }
);
document.getElementById("progressBar").addEventListener("imageLoaded", function(event) {
	progressebarre=progressebarre+deltabarre;
    document.getElementById("progressBar").value = Math.floor(progressebarre);
});

function getParam(param) {

       var varsp = {};

   window.location.href.replace(/[?&]+([^=&]+)=?([^&]*)?/gi, // regexp

             function( m, key, value ) { // callback

                     varsp[key] = value !== undefined ? value :  '';

              }
       );

      if ( param ) {

             return varsp[param] ? varsp[param] : null;

       }

      return varsp ;

}


	function affichagetableaugrandeur(grandeur)
	{
	 tab=tableaucomplet[grandeur];
	titre=tableaucomplettitre[grandeur];
			
		 
	  
	var div=document.getElementById('divtableau');
	
	 var tableaugrandeur = document.createElement('table'); 
	 tableaugrandeur.setAttribute('id','tableauprincipal2'); 
	  var rowCount = tableaugrandeur.rows.length;
     
     var row = tableaugrandeur.insertRow(rowCount);
    
		var cellule = row.insertCell(0);
		cellule.colSpan=2;
		cellule.className="blanc titre"
		cellule.innerHTML="<a onclick=\"affichetableaucomplet()\">"+titre+"</a>";
		
		

	
	for (i=0;i<tab.length;i++)
	{
	var rowCount = tableaugrandeur.rows.length;
    var row = tableaugrandeur.insertRow(rowCount);
		if (tab[i][0]!="")
		{

				var cellule = row.insertCell(0);
				cellule.className="gauche";
				//cellule.innerHTML=tab[i][0]+"<br/>";
				//cellule.append(tableaucompletimage[grandeur][i]);
				if (getParam('cacheobjet')!="true")
				{
					cellule.innerHTML="<div id='g"+i+"' style='opacity:1'>"+tab[i][0]+"<br/><img src='img/"+tableaucomplet[grandeur][i][2]+"'></div>";
				}
				else
				{
					cellule.innerHTML="<div id='g"+i+"' style='opacity=0'>"+tab[i][0]+"<br/><img src='img/"+tableaucomplet[grandeur][i][2]+"'></div>";
				}
				
				cellule.setAttribute('onclick','afficheti("g'+i+'")'); 
				var cellule = row.insertCell(1);
				cellule.className=" droite";
				cellule.setAttribute('id','gr'+i); 
				cellule.setAttribute('onclick','affiche(this,\''+tab[i][1]+'\')'); 
				if (getParam('cachemesure')!="true")
				{
									cellule.innerHTML=tab[i][1];
				}
		}
	}
	
	document.getElementById('principal').style.opacity=0;
		 setTimeout(function(){ div.innerHTML="";		div.appendChild(tableaugrandeur);document.getElementById('principal').style.opacity=1; }, 200);
		

	}
	function affiche(td,val)
	{
		if (getParam('fige')!="true")
		{
			if (td.innerHTML=='')
			{
				td.innerHTML=val;
			}
			else
			{
				td.innerHTML='';
			}
		}
	}
	function afficheti(id)
	{
		if (getParam('fige')!="true")
		{
			if (document.getElementById(id).style.opacity!=1)
			{
				document.getElementById(id).style.opacity=1;
			}
			else
			{
				document.getElementById(id).style.opacity=0;
			}
		}
	}
function affichetableaucomplet()
{
	var div=document.getElementById('divtableau');
	
	
	nbmax=Math.max(vitesses.length,longueurs.length,durees.length,aires.length,volumes.length,masses.length,angles.length,prix.length);
	
	
	
	 var tableau = document.createElement('table'); 
	 tableau.setAttribute('id','tableauprincipal'); 
	 
	 
     var rowCount = tableau.rows.length;
     
     var row = tableau.insertRow(rowCount);
     
	 for (i=0;i<tableaucomplettitre.length;i++)
	 {
		var cellule = row.insertCell(i);
		cellule.colSpan=2;
		
		if (i % 2 == 1)
		{
			cellule.className="colore titre"
			cellule.innerHTML="<a onclick=\"affichagetableaugrandeur('"+i+"')\">"+tableaucomplettitre[i]+"</a>";
		}
		else
		{
			cellule.className="colore2 titre"
			cellule.innerHTML="<a onclick=\"affichagetableaugrandeur('"+i+"')\">"+tableaucomplettitre[i]+"</a>";
			
		}
		
	}
	
	
		
		for (i=0;i<nbmax;i++)
		{
			
		 var rowCount = tableau.rows.length;
 var row = tableau.insertRow(rowCount);
			for (j=0;j<tableaucomplet.length;j++)
			{
				
			
			 var soutableau=tableaucomplet[j];
			
			
				
				if ((soutableau).length>i)
				{
					if (j % 2 == 0)
					{
											
							if (soutableau[i][0]=="")
							{
								var cellule = row.insertCell(2*j);
								cellule.className="colore2 gauche";
								var cellule = row.insertCell(2*j+1);
								cellule.className="colore2 droite";
							}
							else
							{
								var cellule = row.insertCell(2*j);
								cellule.className="colore2 gauche";
								//cellule.innerHTML=soutableau[i][0]+"<br/>";
								//cellule.append(tableaucompletimage[j][i]);
								if (getParam('cacheobjet')!="true")
								{	
										cellule.innerHTML="<div id='g"+i+"-"+j+"' style='opacity:1'>"+soutableau[i][0]+"<br/><img src='img/"+tableaucomplet[j][i][2]+"'></div>";								
								}
								else
								{
									cellule.innerHTML="<div id='g"+i+"-"+j+"' style='opacity:0'>"+soutableau[i][0]+"<br/><img src='img/"+tableaucomplet[j][i][2]+"'></div>";
								}
								cellule.setAttribute('onclick','afficheti("g'+i+'-'+j+'")'); 
								var cellule = row.insertCell(2*j+1);
								cellule.className="colore2 droite";
								cellule.setAttribute('onclick','affiche(this,\''+soutableau[i][1]+'\')'); 
								if (getParam('cachemesure')!="true")
								{	
									cellule.innerHTML=soutableau[i][1];
								}
							}
					}
					else
					{
							if (soutableau[i][0]=="")
							{
								var cellule = row.insertCell(j*2);
								cellule.className="colore gauche";
								var cellule = row.insertCell(j*2+1);
								cellule.className="colore droite";
							}
							else
							{
								var cellule = row.insertCell(j*2);
								cellule.className="colore gauche";
								//cellule.innerHTML=soutableau[i][0]+"<br/>";
								//cellule.append(tableaucompletimage[j][i]);
								if (getParam('cacheobjet')!="true")
								{	
									cellule.innerHTML="<div id='g"+i+"-"+j+"' style='opacity:1'>"+soutableau[i][0]+"<br/><img src='img/"+tableaucomplet[j][i][2]+"'></div>";								
								}
								else
								{
									cellule.innerHTML="<div id='g"+i+"-"+j+"' style='opacity:0'>"+soutableau[i][0]+"<br/><img src='img/"+tableaucomplet[j][i][2]+"'></div>";
								}
								cellule.setAttribute('onclick','afficheti("g'+i+'-'+j+'")'); 
								var cellule = row.insertCell(j*2+1);
								cellule.className="colore droite";
								cellule.setAttribute('onclick','affiche(this,\''+soutableau[i][1]+'\')'); 
								if (getParam('cachemesure')!="true")
								{
									cellule.innerHTML=soutableau[i][1];
								}
							}
						
					}
				}
				else
				{
					if (j % 2 == 0)
					{
						var cellule = row.insertCell(2*j);
						cellule.className="colore2 gauche";
						var cellule = row.insertCell(2*j+1);
						cellule.className="colore2 droite";
					}
					else
					{
						var cellule = row.insertCell(2*j);
						cellule.className="colore gauche";
						var cellule = row.insertCell(2*j+1);
						cellule.className="colore droite";
					}
				}
			 
		}
		
	}
	
		document.getElementById('principal').style.opacity=0;
		
		
		 setTimeout(function(){	div.innerHTML="";	div.appendChild(tableau);document.getElementById('principal').style.opacity=1; }, 200);
		
		
	
}

function initialisation()
{
	if (getParam('grandeur')!=undefined)
	{
		affichagetableaugrandeur(Number(getParam('grandeur')))
		
	}
	else
	{
		affichetableaucomplet();		
	}
	var div=document.getElementById('principal');
	div.style.display='';
	var div=document.getElementById('barre');
	div.style.display = "none"; 
	
}

window.onload = loadImages;

